@echo off

set version=8.2.1
set officialversion=8.2.1

rem **************************************************************************************
rem * The -e freeWrap option can be used to turn off the encryption of the wrapped files *
rem **************************************************************************************

echo set bin_version %version% > bin\binversion.tcl

set tclfiles=lib\blankcell.tcl
set tclfiles=%tclfiles% lib\burn.tcl lib\calculator.tcl lib\cmdedit.tcl lib\disasm.tcl lib\utils.tcl
set tclfiles=%tclfiles% lib\fontreq.tcl lib\macros.tcl lib\main.tcl lib\menued.tcl lib\pgceditor.tcl
set tclfiles=%tclfiles% lib\readdvd.tcl lib\srptinfo.tcl lib\streams.tcl lib\stringreq.tcl
set tclfiles=%tclfiles% lib\tk_menu_bugfix.tcl lib\tmap.tcl lib\toolbar.tcl lib\trace.tcl
set tclfiles=%tclfiles% lib\toolscfg.tcl lib\writedvd.tcl lib\winshellext.tcl
set tclfiles=%tclfiles% lib\menubuttons.tcl lib\preview.tcl

echo PgcEdit version %version%

echo .
echo Creating file list...
set fl=FreeWrap_filelist.txt
echo lib\blankcell.tcl > %fl%
echo lib\burn.tcl >>%fl%
echo lib\calculator.tcl >>%fl%
echo lib\cmdedit.tcl >>%fl%
echo lib\disasm.tcl >>%fl%
echo lib\utils.tcl >>%fl%
echo lib\fontreq.tcl >>%fl%
echo lib\macros.tcl >>%fl%
echo lib\main.tcl >>%fl%
echo lib\menus.tcl >>%fl%
echo lib\menued.tcl >>%fl%
echo lib\pgceditor.tcl >>%fl%
echo lib\readdvd.tcl >>%fl%
echo lib\srptinfo.tcl >>%fl%
echo lib\streams.tcl >>%fl%
echo lib\stringreq.tcl >>%fl%
echo lib\tk_menu_bugfix.tcl >>%fl%
echo lib\tmap.tcl >>%fl%
echo lib\toolbar.tcl >>%fl%
echo lib\trace.tcl >>%fl%
echo lib\toolscfg.tcl >>%fl%
echo lib\writedvd.tcl >>%fl%
echo lib\winshellext.tcl >>%fl%
echo lib\menubuttons.tcl >>%fl%
echo lib\preview.tcl >>%fl%

echo lib\data\blank_ntsc_720.vob >>%fl%
echo lib\data\blank_pal_720.vob >>%fl%
echo lib\data\blank_ntsc_704.vob >>%fl%
echo lib\data\blank_pal_704.vob >>%fl%
echo lib\data\blank_ntsc_352.vob >>%fl%
echo lib\data\blank_pal_352.vob >>%fl%
echo lib\data\blank_ntsc_352v.vob >>%fl%
echo lib\data\blank_pal_352v.vob >>%fl%
echo lib\data\new_dvd_video_ts.ifo >>%fl%
echo lib\data\vmg_txtdt_mg_default.sec >>%fl%
echo lib\data\vmgm_pgci_ut_wo_vob.sec >>%fl%
echo lib\data\lang_codes.txt >>%fl%

echo lib\icons\sweetness\burn_dvd.gif >>%fl%
echo lib\icons\sweetness\calculator_converter.gif >>%fl%
echo lib\icons\sweetness\check_dvd_size.gif >>%fl%
echo lib\icons\sweetness\create_backup.gif >>%fl%
echo lib\icons\sweetness\enable_all_operations.gif >>%fl%
echo lib\icons\sweetness\explore_dvd_folder.gif >>%fl%
echo lib\icons\sweetness\find_unused_gprms.gif >>%fl%
echo lib\icons\sweetness\kill_pgc_playback.gif >>%fl%
echo lib\icons\sweetness\new_dvd.gif >>%fl%
echo lib\icons\sweetness\new_pgc.gif >>%fl%
echo lib\icons\sweetness\open_dvd.gif >>%fl%
echo lib\icons\sweetness\open_scratchbook.gif >>%fl%
echo lib\icons\sweetness\preview.gif >>%fl%
echo lib\icons\sweetness\region_code.gif >>%fl%
echo lib\icons\sweetness\reopen_dvd.gif >>%fl%
echo lib\icons\sweetness\restore_backup.gif >>%fl%
echo lib\icons\sweetness\save_dvd.gif >>%fl%
echo lib\icons\sweetness\save_scratchbook.gif >>%fl%
echo lib\icons\sweetness\set_dvd_text.gif >>%fl%
echo lib\icons\sweetness\set_provider_id.gif >>%fl%
echo lib\icons\sweetness\show_menu_buttons.gif >>%fl%
echo lib\icons\sweetness\streams_attributes.gif >>%fl%
echo lib\icons\sweetness\title_play_map_table.gif >>%fl%
echo lib\icons\sweetness\trace.gif >>%fl%
rem echo lib\icons\sweetness2\burn_dvd.gif >>%fl%
rem echo lib\icons\sweetness2\calculator_converter.gif >>%fl%
rem echo lib\icons\sweetness2\check_dvd_size.gif >>%fl%
rem echo lib\icons\sweetness2\create_backup.gif >>%fl%
rem echo lib\icons\sweetness2\enable_all_operations.gif >>%fl%
rem echo lib\icons\sweetness2\explore_dvd_folder.gif >>%fl%
rem echo lib\icons\sweetness2\find_unused_gprms.gif >>%fl%
rem echo lib\icons\sweetness2\kill_pgc_playback.gif >>%fl%
rem echo lib\icons\sweetness2\new_dvd.gif >>%fl%
rem echo lib\icons\sweetness2\new_pgc.gif >>%fl%
rem echo lib\icons\sweetness2\open_dvd.gif >>%fl%
rem echo lib\icons\sweetness2\open_scratchbook.gif >>%fl%
rem echo lib\icons\sweetness2\preview.gif >>%fl%
rem echo lib\icons\sweetness2\region_code.gif >>%fl%
rem echo lib\icons\sweetness2\reopen_dvd.gif >>%fl%
rem echo lib\icons\sweetness2\restore_backup.gif >>%fl%
rem echo lib\icons\sweetness2\save_dvd.gif >>%fl%
rem echo lib\icons\sweetness2\save_scratchbook.gif >>%fl%
rem echo lib\icons\sweetness2\set_dvd_text.gif >>%fl%
rem echo lib\icons\sweetness2\set_provider_id.gif >>%fl%
rem echo lib\icons\sweetness2\show_menu_buttons.gif >>%fl%
rem echo lib\icons\sweetness2\streams_attributes.gif >>%fl%
rem echo lib\icons\sweetness2\title_play_map_table.gif >>%fl%
rem echo lib\icons\sweetness2\trace.gif >>%fl%

echo bin\PgcEditPreview.exe >>%fl%

echo COPYING.txt >>%fl%
echo TODO.txt >>%fl%
echo HISTORY.txt >>%fl%
rem echo README.txt >>%fl%
rem echo LISEZMOI.txt >>%fl%


echo .
echo Converting PgcEdit.tcl to Unix format...
DOS2UNIX PgcEdit.tcl

echo .
echo Making source zip archive...
del PgcEdit_source.zip
if ERRORLEVEL 1 goto ERROR
REM wzzip -a+ -P -ex PgcEdit_source.zip PgcEdit.tcl lib\icons\PgcEdit.ico @%fl% bin\pskill.exe bin\mkisofs.exe bin\binversion.tcl wrap.cmd
set fl2=PAComp_filelist.txt
copy %fl% %fl2%
echo PgcEdit.tcl >>%fl2%
echo lib\icons\PgcEdit.ico >>%fl2%
echo bin\pskill.exe >>%fl2%
echo bin\mkisofs.exe >>%fl2%
echo bin\binversion.tcl >>%fl2%
echo snack_list.txt >>%fl2%
echo tclx_list.txt >>%fl2%
echo wrap.cmd >>%fl2%
pacomp -a -p -c2 "PgcEdit_source.zip" @%fl2%
if ERRORLEVEL 1 goto ERROR

echo .
echo Making windoze executable...
rem echo freewrap.exe PgcEdit.tcl -i lib\icons\PgcEdit.ico -f %fl% -f snack_list.txt -f tclx_list.txt bin\pskill_encrypted.xex bin\mkisofs.exe
rem C:\Tcl\freeWrap\freewrap.exe PgcEdit.tcl -i lib\icons\PgcEdit.ico -f %fl% -f snack_list.txt -f tclx_list.txt bin\pskill_encrypted.xex bin\mkisofs.exe
echo freewrap.exe PgcEdit.tcl -i lib\icons\PgcEdit.ico -f %fl% -f snack_list.txt -f tclx_list.txt bin\mkisofs.exe
C:\Tcl\freeWrap\freewrap.exe PgcEdit.tcl -i lib\icons\PgcEdit.ico -f %fl% -f snack_list.txt -f tclx_list.txt bin\mkisofs.exe
if ERRORLEVEL 1 goto ERROR

echo .
echo Making linux executable...
echo freewrap.exe PgcEdit.tcl -w freewrap -f %fl%
C:\Tcl\freeWrap\freewrap.exe PgcEdit.tcl -w C:\Tcl\freeWrap\freewrap -f %fl%
if ERRORLEVEL 1 goto ERROR
ren PgcEdit pgcedit

echo .
echo Making windoze executable archive...
del "PgcEdit_winexe.zip"
if ERRORLEVEL 1 goto ERROR
REM wzzip -a+ -P -ex "PgcEdit_winexe.zip" PgcEdit.exe
pacomp -a -c2 "PgcEdit_winexe.zip" PgcEdit.exe
if ERRORLEVEL 1 goto ERROR

echo .
echo Making Linux executable archive...
del "PgcEdit_linux_exe.zip"
if ERRORLEVEL 1 goto ERROR
REM wzzip -a+ -P -r -ex "PgcEdit_linux_exe.zip" pgcedit linux_icons
pacomp -a -p -c2 "PgcEdit_linux_exe.zip" pgcedit linux_icons
if ERRORLEVEL 1 goto ERROR

echo .
echo Copying source and executables on homepage image...
copy PgcEdit.exe "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\pgcedit.exe"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_winexe.zip "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\pgcedit_winexe.zip"
if ERRORLEVEL 1 goto ERROR
copy pgcedit "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\pgcedit"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_source.zip "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\pgcedit_source.zip"
if ERRORLEVEL 1 goto ERROR
echo %officialversion% > "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\version.txt"
if ERRORLEVEL 1 goto ERROR

echo .
echo Copying source and executables on homepage/versions image...
copy PgcEdit_source.zip "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\versions\PgcEdit_source_%version%.zip"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_winexe.zip "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\versions\PgcEdit_winexe_%version%.zip"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_linux_exe.zip "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\versions\PgcEdit_linux_exe_%version%.zip"
if ERRORLEVEL 1 goto ERROR
echo %version% > "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\versions\version.txt"
if ERRORLEVEL 1 goto ERROR

echo .
echo Copying text files on homepage image...
copy README.txt   "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\"
if ERRORLEVEL 1 goto ERROR
copy LISEZMOI.txt "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\"
if ERRORLEVEL 1 goto ERROR
copy HISTORY.txt  "C:\Documents and Settings\Rol.PGCEDIT\My Documents\Homepage\home\pgcedit\"
if ERRORLEVEL 1 goto ERROR

echo .
echo Backing up the sources...
copy PgcEdit_source.zip "D:\PgcEdit_backup\PgcEdit_source_%version%.zip"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_source.zip "C:\Documents and Settings\Rol.PGCEDIT\My Documents\My Scripts\Tcl-Tk\PGCEdit\PgcEdit_source_%version%.zip"
if ERRORLEVEL 1 goto ERROR

echo .
echo Installing PgcEdit...
copy PgcEdit.exe "C:\program files\PgcEdit\"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit.exe "C:\Tcl\work\PGCEDIT\executables\PgcEdit_%version%.exe"
if ERRORLEVEL 1 goto ERROR

echo .
echo Done building PgcEdit %version%
echo Close this window now, or press any key to generate the TclChecker error file.
pause >NUL:

echo .
echo Generating TclChecker error file...
C:\Tcl\bin\tclsh C:\Tcl\bin\tclchecker.tcl %tclfiles% lib\preview.tcl PgcEdit.tcl > TclChecker_errors.txt
rem start PgcEdit
exit

:ERROR
echo ###################################################
echo ####### WARNING: PgcEdit make batch failed! #######
echo ###################################################
pause >NUL:
exit
